Bug 91134 - CAN-2002-0164+ XFree86 vulnerabilities
Summary: CAN-2002-0164+ XFree86 vulnerabilities
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 2.1
Classification: Red Hat
Component: XFree86   
(Show other bugs)
Version: 2.1
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Mike A. Harris
QA Contact: David Lawrence
URL:
Whiteboard:
Keywords: Security
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2003-05-19 08:31 UTC by Mark J. Cox
Modified: 2007-11-30 22:06 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2003-07-09 10:46:44 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Mark J. Cox 2003-05-19 08:31:53 UTC
There are a number of vulnerabilities that affect the version of XFree86
supplied with Enterprise Linux.  An update, RHSA-2003:065, is being worked on
and packages available for QA this week.

CAN-2002-0164
        A vulnerability in the MIT-SHM extension of the X server allows
        local users to read and write arbitrary shared memory, to
        cause a denial of service or gain privileges.  Fixed, but it was an    
        incomplete fix - for the case where the X server is started
        from xdm which was not handled.  A more complete patch was
        made available.

CAN-2002-1510
        XDM restrictions bypassed by non existent directory
        http://www.xfree86.org/pipermail/cvs-commit/2001-October/003140.html

        It is fixed in the upstream 4.2.0 tarball

CAN-2003-0063
        xterm contains escape sequence to report current window title.

CAN-2003-0071
        Possible to lock up xterm with corrupt DEC UDK sequence, Thomas
        Dickey says it affects all versions, my initial analysis was
        wrong

Comment 1 Mark J. Cox 2003-07-09 10:46:44 UTC
These were fixed by 
http://rhn.redhat.com/errata/RHSA-2003-065.html


Note You need to log in before you can comment on or make changes to this bug.